Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.value
Class FromEntityPropertyPlanningValueRangeDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
          org.optaplanner.core.impl.domain.value.FromEntityPropertyPlanningValueRangeDescriptor

All Implemented Interfaces:
  PlanningValueRangeDescriptor

    public class FromEntityPropertyPlanningValueRangeDescriptor

extends AbstractPlanningValueRangeDescriptor

Field Summary

Fields inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`variableDescriptor`

Constructor Summary
`FromEntityPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor, Method readMethod)`

Method Summary
`Collection<?>` | `extractAllValues(Solution solution)`
`Collection<?>` | `extractValues(Solution solution, Object entity)`
`Collection<?>` | `extractValuesFromEntity(Object entity)`
`long` | `getValueCount(Solution solution, Object entity)`
`boolean` | `isEntityDependent()`

Methods inherited from class org.optaplanner.core.impl.domain.value.AbstractPlanningValueRangeDescriptor
`getVariableDescriptor, isValuesCacheable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FromEntityPropertyPlanningValueRangeDescriptor

    public FromEntityPropertyPlanningValueRangeDescriptor(PlanningVariableDescriptor variableDescriptor,
                                                          Method readMethod)

Method Detail

### isEntityDependent

    public boolean isEntityDependent()

### extractAllValues

    public Collection<?> extractAllValues(Solution solution)

### extractValues

    public Collection<?> extractValues(Solution solution,
                                       Object entity)

### extractValuesFromEntity

    public Collection<?> extractValuesFromEntity(Object entity)

### getValueCount

    public long getValueCount(Solution solution,
                              Object entity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.